%% Input
bfile         = '4718A1_v2_7'; % name to add to all output files
data_base     = 'hp04ver.dat';
solution_file = 'solution_model.dat';
comp          = {'H2O' 'SIO2' 'AL2O3' 'FEO' 'MNO' 'MGO' 'CAO' 'NA2O' 'K2O' 'TIO2'};
wt_perc       = [10    47.8    24.3   9.8  0.23  3.9   1.57  1.72   4.98   1.03];% 4718A1
ssol          = {'Gt(HP)' 'Bio(TCC)','Mica(CHA)','Ctd(HP)','St(HP)','Chl(HP)','hCrd','feldspar','Ilm(WPH)'};
ssol_user     = {'Gt',    'Bt',     'Ms',       'Ct',     'St',    'Cl',     'hC',   'Pl',      'Ox'    };
ex_phs        = {'ma'};
wt_mol        = 'n';    % y = mol%, n = wt%
mac_OS        = 0;
%% Fractionation
Tpeak    = 600;        % end temperature for PT path, *C
Ppeak    = 0.6;       % end pressure for PT path, GPa
Tstart   = 400;        % minimum temperature PT path, *C
Pstart   = 0.1;        % minimum pressure PT path, GPa
Tend     = 590;        % maximum temperature PT path, *C
Pend     = 0.55;        % maximum pressure PT path, GPa
frac_phs = {'Gt(HP)','H2O'}; % phases to be fractionated (works only for garnet and H2O)
nPT      = 10;         % number of points along fractionation path
nPTgrid  = 10;          % number of starting points in T and P
%% Pseudosection
Tmin = 400;         % minimum temperature, *C
Tmax = 750;         % maximum temperature, *C
Pmin = 0.1;         % minimum pressure, GPa
Pmax = 1.0;         % maximum pressure, GPa
satphs  = 'n';      % 'y' = a phase is saturated
sphase  = 'H2O';    % name of saturated phase; ignored if satphs = 'n'
nx      = 200;      % number of x nodes in Werami pseudosection
ny      = 200;      % number of y nodes in Werami pseudosection
%% Zoning data
data_head = {'\mum' 'X_{py}' 'X_{sp}' 'X_{gr}' 'X_{alm}' 'Mg#'}; % Title of the columns here corresponding to the matrix below
prof_data = [
    0	0.0876	0.0885	0.0959	0.7281	0.1074
    94	0.0894	0.0889	0.1013	0.7204	0.1104
    188.03	0.0902	0.0818	0.091	0.737	0.1090
    282.08	0.0935	0.0791	0.099	0.7284	0.1138
    376.04	0.0947	0.0714	0.0975	0.7364	0.1139
    470.12	0.0956	0.0667	0.1018	0.7359	0.1150
    564.22	0.0998	0.0654	0.0913	0.7435	0.1183
    577.13	0.1019	0.0662	0.0904	0.7415	0.1208
    628.04	0.101	0.0589	0.0878	0.7524	0.1184
    680.06	0.1034	0.0589	0.0875	0.7502	0.1211
    730.98	0.1075	0.0554	0.0854	0.7517	0.1251
    781.9	0.1105	0.0511	0.0855	0.753	0.1280
    833.93	0.1128	0.0506	0.0783	0.7583	0.1295
    884.86	0.1164	0.05	0.0809	0.7528	0.1339
    935.8	0.116	0.0474	0.0699	0.7666	0.1314
    987.84	0.1097	0.0499	0.067	0.7733	0.1242
    ];